Package org.apache.felix.http.base.internal.whiteboard

# Class HttpServiceContextHandler

java.lang.Object
org.apache.felix.http.base.internal.whiteboard.WhiteboardContextHandler
org.apache.felix.http.base.internal.whiteboard.HttpServiceContextHandler

All Implemented Interfaces:
  `Comparable<WhiteboardContextHandler>`

public class HttpServiceContextHandler extends WhiteboardContextHandler

## Constructor Summary

Constructors
Constructor
Description
`HttpServiceContextHandler(ServletContextHelperInfo info, PerContextHandlerRegistry registry, HttpServiceFactory httpServiceFactory, jakarta.servlet.ServletContext webContext, org.osgi.framework.Bundle httpBundle)`

## Method Summary

Modifier and Type
Method
Description
`PerContextHandlerRegistry`
`getRegistry()`
`@Nullable ExtServletContext`
`getServletContext(@Nullable org.osgi.framework.Bundle bundle)`
`jakarta.servlet.ServletContext`
`getSharedContext()`
`void`
`ungetServletContext(@NotNull org.osgi.framework.Bundle bundle)`

### Methods inherited from class org.apache.felix.http.base.internal.whiteboard.WhiteboardContextHandler

`activate, compareTo, deactivate, getBundleContext, getContextInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServiceContextHandler

public HttpServiceContextHandler(ServletContextHelperInfo info, PerContextHandlerRegistry registry, HttpServiceFactory httpServiceFactory, jakarta.servlet.ServletContext webContext, org.osgi.framework.Bundle httpBundle)

## Method Details

### getRegistry

public PerContextHandlerRegistry getRegistry()

Overrides:
  `getRegistry` in class `WhiteboardContextHandler`

### getSharedContext

public jakarta.servlet.ServletContext getSharedContext()

Overrides:
  `getSharedContext` in class `WhiteboardContextHandler`

### getServletContext

@Nullable public @Nullable ExtServletContext getServletContext(@Nullable @Nullable org.osgi.framework.Bundle bundle)

Overrides:
  `getServletContext` in class `WhiteboardContextHandler`

### ungetServletContext

public void ungetServletContext(@NotNull @NotNull org.osgi.framework.Bundle bundle)

Overrides:
  `ungetServletContext` in class `WhiteboardContextHandler`